Package com.independentsoft.office.odf.forms

# Class OfficeForms

java.lang.Object
com.independentsoft.office.odf.forms.OfficeForms

All Implemented Interfaces:
  `IContentElement`

public class OfficeForms extends Object implements IContentElement
Represents a container for a form.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OfficeForms()`
  Initializes a new instance of the OfficeForms class.
  `OfficeForms​(InternalXMLStreamReader reader)`
  Instantiates a new office forms.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OfficeForms`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IOfficeFormsContent>`
  `getContent()`
  Contains a collection of IOfficeFormsContent objects.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `List<IEventListener>`
  `getEventListeners()`
  Contains a collection of IEventListener objects.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `List<FormProperty>`
  `getProperties()`
  Contains a collection of FormProperty objects.
  `boolean`
  `isApplyDesignMode()`
  Specifies whether the consumer is supposed to present the forms in this document in editable or fill-out state.
  `boolean`
  `isAutomaticFocus()`
  Specifies whether the consumer loading the document should set the focus to a form control.
  `void`
  `setApplyDesignMode​(boolean applyDesignMode)`
  Specifies whether the consumer is supposed to present the forms in this document in editable or fill-out state.
  `void`
  `setAutomaticFocus​(boolean automaticFocus)`
  Specifies whether the consumer loading the document should set the focus to a form control.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current OfficeForms object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OfficeForms

    public OfficeForms()
    Initializes a new instance of the OfficeForms class.

  - ### OfficeForms

    public OfficeForms​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new office forms.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public OfficeForms clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current OfficeForms object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getContent

    public List<IOfficeFormsContent> getContent()
    Contains a collection of IOfficeFormsContent objects.
    Returns:
      the content

  - ### getProperties

    public List<FormProperty> getProperties()
    Contains a collection of FormProperty objects.
    Returns:
      the properties

  - ### getEventListeners

    public List<IEventListener> getEventListeners()
    Contains a collection of IEventListener objects.
    Returns:
      the event listeners

  - ### isAutomaticFocus

    public boolean isAutomaticFocus()
    Specifies whether the consumer loading the document should set the focus to a form control.
    Returns:
      true, if is automatic focus

  - ### setAutomaticFocus

    public void setAutomaticFocus​(boolean automaticFocus)
    Specifies whether the consumer loading the document should set the focus to a form control.
    Parameters:
      `automaticFocus` - the new automatic focus

  - ### isApplyDesignMode

    public boolean isApplyDesignMode()
    Specifies whether the consumer is supposed to present the forms in this document in editable or fill-out state.
    Returns:
      true, if is apply design mode

  - ### setApplyDesignMode

    public void setApplyDesignMode​(boolean applyDesignMode)
    Specifies whether the consumer is supposed to present the forms in this document in editable or fill-out state.
    Parameters:
      `applyDesignMode` - the new apply design mode